Subject: Re: bug#36085: 26.2; find-dired octal escapes instead of Cyrillic text

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jun 2019 15:49:01 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sun, 9 Jun 2019 14:39:32 +0200
> Cc: [email-masked], [email-masked]
> 
> > One other consideration is that for large directory trees the current
> > implementation of find-dired updates the buffer in parallel with
> > 'find' still running, whereas the alternatives will not return until
> > the whole listing has been generated, which might take a long time.
> 
> This concern is definitely valid. I don't know to what extent parallelism is possible in the current thread implementation.

Just a note: the current "parallel" implementation is not really
parallel either: 'find' indeed runs in parallel, but the process
filter functions in Emacs only run when Emacs is idle, so if the user
types very quickly after invoking find-dired, they will not see the
results until they make a break in typing.  And our threads work in
the same manner, at least in principle, so we should be good running
the Lisp implementation in a non-main thread.  Of course, until
someone actually tries that, we won't know whether there are any
obstacles: the devil, as always, is in the details.

> Again, improvements in this respect would have benefits beyond find-dired.

Sure.